HELP Latest Drop and installation

Topics: CAB & Smart Client Software Factory
Jun 8, 2006 at 4:25 AM
originally posted by: rccnh

I had installed a previous version of the Guidance Package. I got the latest drop, built the Guidance solution, created the Installer. I then uninstalled/removed (via Add/Remove Programs) the previous version.
But when I try to install the new one - it keeps telling me it can't, there is a previous version already installed and use Add/Remove.
I've rebooted a couple of times - not fixing it.

So now i'm in never-never land - can't use the old one, can't install the new one. And i'm supposed to be creating a shell and logon window for an large application we are starting.

Can somebody offer a suggestion on how to get this to install?

thanks!
Jun 8, 2006 at 5:01 AM
originally posted by: rccnh

I think I got confused over all the stuff involved.
The Guidance Package is fine - I believe that stays as-is.

It is the SmartClientDevelopmentInstaller where the issue is.

At the moment - I re-installed the Guidance stuff.

But when I try to remove the SmartClientDevelopment, it dies during Remove or Repair.
Jun 8, 2006 at 7:24 AM
originally posted by: JayUrbanowicz

Try to use the "Register Guidance Package" recipe.

Enable the GAT Guidance:
In the Visual Studio with the guidance solution open, select Tools:Guidance Package Manager
and enable the Guidance Package Development, if it is not already

Register the Guidance Package:
Build the solution.
Right Click on the SmartClientDevelopment solution and select Register Guidance Package

It seems to work much better than using the installer...

Jay
Jun 9, 2006 at 2:23 AM
originally posted by: rccnh

Thanks Jay.
Followed your instructions - installed with no issues.
I've now posted that note up on my while for the next time! :-)